'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgViasatLogomarkWhite = function SvgViasatLogomarkWhite(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 32 32",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    fillRule: "evenodd",
    d: "M11.392 15.592c.135-.687.814-1.375 1.627-1.65 1.356-.412 2.713.413 2.984 1.65l1.356 4.675 3.526-12.65c.271-1.237 1.085-2.2 2.305-2.475 1.763-.55 3.662.55 4.204 2.338L31.6 22.055c.542 1.787-.543 3.712-2.306 4.262s-3.661-.55-4.204-2.337l-3.39-11.825-3.526 12.512c-.136.688-.814 1.375-1.628 1.65-1.22.413-2.577-.275-2.983-1.65l-1.628-5.912-1.763 6.462c-.135.55-.542 1.1-1.22 1.238-.95.275-1.899-.275-2.17-1.238l-1.085-3.712a1.77 1.77 0 0 1 1.22-2.2c.95-.275 1.9.275 2.17 1.237l.407 1.65zM1.763 26.455c1.492 0 1.763-.688 1.763-1.788 0-.962-.271-1.65-1.763-1.925C.271 22.742 0 23.567 0 24.53v.137c0 .963.271 1.788 1.763 1.788",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgViasatLogomarkWhite;
